<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="ID" value="MESS"/>
    <ui:define name="body">
        <h:form id="globalf">
            <h1>#{messages['net.ihe.gazelle.xdstar.MessagesTransactions']}</h1>
            <gri:panel id="globalPanel" style="width:100%;height:100%;">
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <p>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-horizontal">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterId" value="affinityDomain"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.AffinityDomain_3']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                    <ui:include src="/filter/filter.xhtml">

                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterId" value="messageType"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.MessageType']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterId" value="validRequest"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.ValidRequest']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterWidth" value="240"/>
                                        <ui:param name="filterId" value="public"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.IsPublic']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterWidth" value="240"/>
                                        <ui:param name="filterId" value="owner"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.Owner']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-horizontal">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterId" value="transaction"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.Transaction']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                    <ui:include src="/filter/filter.xhtml">

                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterId" value="configuration"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.Configuration']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterId" value="validResponse"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.ValidResponse']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                    <ui:include src="/filter/filterDate.xhtml">
                                        <ui:param name="filter"
                                                  value="#{allMessageManagerBean.availableMessages.filter}"/>
                                        <ui:param name="filterWidth" value="240"/>
                                        <ui:param name="filterId" value="date"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.xdstar.Date']}"/>
                                        <ui:param name="filterForm" value="globalf"/>
                                    </ui:include>
                                </div>
                            </div>
                        </div>
                    </p>

                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['gazelle.common.button.Refresh']}"
                                         render="globalf">
                            <span class="fa fa-refresh"/>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.ResetFilter']}"
                                         actionListener="#{allMessageManagerBean.resetFilter()}"
                                         render="globalf">
                            <span class="fa fa-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>
                <ui:include src="/messages/messagesTable.xhtml">
                    <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
                </ui:include>

            </gri:panel>
        </h:form>
    </ui:define>
</ui:composition>
